/**
  ******************************************************************************
  * @file    adc.h
  * @author  MK
  * @version V0.1
  * @date    08/01/2021
  * @brief   ADC defines
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __ADC_H
#define __ADC_H

#include "stm32f7xx_hal.h"

void ADC_Init(void);
void ADC_DeInit(void);
void ADC_Status(void);
void ADC_Reset(void);
void ADC_SetFS(uint32_t fs);

extern I2C_HandleTypeDef *adc_i2c;

#endif /* __ADC_H */
