/**
  ******************************************************************************
  * @file    adc.c
  * @author  MK
  * @version V0.1
  * @date    08/01/2021
  * @briefn  ADC functions
  ******************************************************************************
  */
#include "main.h"
#include "adc.h"
#include "ak5394.h"

void ADC_LowLevel_DeInit(void)
{
}

/**
  * @brief  Initializes the IOs used to drive ADC chips
  * @param  None
  * @retval None
  */
void ADC_LowLevel_Init(void)
{
}

void ADC_Init(void)
{
	ADC_LowLevel_Init();
   	AK5394_Init();
}

void ADC_Status(void)
{
	AK5394_Status();
}

void ADC_Reset(void)
{
	AK5394_Reset();
}

void ADC_SetFS(uint32_t fs)
{
	AK5394_SetFS(fs);
}

